Airwallex logo

Deposits

Copy for LLMView as Markdown

Deposits are bank transfers made into your Airwallex Global Accounts for adding funds or collecting funds from third parties.

Endpoints
GET /api/v1/deposits
GET /api/v1/deposits/{id}
POST /api/v1/deposits/create

Get a list of deposits

GET /api/v1/deposits

Returns a list of deposits made into your Airwallex wallet. You can filter the list by specifying a time period. If left unspecified or only the end date is specified, then deposits 30 days in arrears of today or the end date will be returned.

Parameters
from_created_atstring

The start date of created_at in ISO8601 format (inclusive)

page_numinteger

Page number, starts from 0.

page_sizeinteger

Number of results per page. Default value is 100.

to_created_atstring

The end date of created_at in ISO8601 format (inclusive)

Response body - 200 OK
has_moreboolean

A flag which identifies whether there are more results.

itemsarray

Paged results.

items.currencystring

The currency (3-letter ISO-4217 code) of this deposit

items.amountnumber

The amount of this deposit

items.created_atstring

The date time in ISO8601 format when this deposit was created

items.deposit_idstring

A unique identifier of this deposit

items.estimated_settlement_timestring

Estimated settlement time of this deposit. With ISO8601 format

items.failure_detailsobject

Empty unless the deposit is in a failure status (REJECTED, REVERSED).

items.failure_details.codestring

Error code (details can be found here ).

items.failure_details.iso_codestring

Error code ISO 20022 (details can be found here ).

items.failure_details.provider_failure_detailsobject

A set of original information received from the local clearing system.

items.failure_details.provider_failure_details.codestring

The original error code received from the local clearing system.

items.failure_details.provider_failure_details.local_clearing_systemstring

The local clearing system used for the direct debit deposit. Possible values are AU_BECS, US_ACH, GB_BACS, EU_SEPA.

items.failure_details.provider_failure_details.messagestring

The original error message received from the local clearing system.

items.payer_namestring

Payer name of this deposit

items.settled_atstring

Actual settlement time of this deposit. With ISO8601 format

items.sourceobject

Details about the source of your funds

items.source.funding_source_idstring

The Funding Source unique identifier of this direct debit deposit. This is the same as your Linked Account unique identifier

items.source.global_account_idstring

The global account unique identifier of this bank transfer deposit. Nullable for deposits via DBS_HK GA

items.source.typestring

The type of the deposit source

AU_BECS_DEBIT, US_ACH_DEBIT, GB_BACS_DEBIT, EU_SEPA_DEBIT, CA_EFT_DEBIT, HK_FPS_DEBIT, SG_EGIRO_DEBIT, GA, SA

items.statement_refstring

A reference number assigned by the processing bank to identify and track a deposit transaction. It is not a unique identifier or a reference provided by the payer.

items.statusstring

Status of this deposit

PENDING, SETTLED, REJECTED, REVERSED

items.typestring

Type of the source of your funds

BANK_TRANSFER, DIRECT_DEBIT

Errors
Error statusDescription
400

Possible errors: field_required, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

GET /api/v1/deposits
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/deposits' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "has_more": false,
3 "items": [
4 {
5 "amount": 12794.27,
6 "created_at": "2017-03-20T14:00:01+1100",
7 "currency": "USD",
8 "deposit_id": "67f687fe-dcf4-4462-92fa-20335301d9d8",
9 "estimated_settlement_time": "2017-03-22T14:00:00+0000",
10 "failure_details": {
11 "code": "insufficient_funds",
12 "iso_code": "AM04",
13 "provider_failure_details": {
14 "code": "R01",
15 "local_clearing_system": "US_ACH",
16 "message": "INSUFFICIENT FUNDS"
17 }
18 },
19 "payer_name": "tester",
20 "settled_at": "2017-03-22T14:00:00+0000",
21 "source": {
22 "funding_source_id": "67f687fe-dcf4-4462-92fa-20335321d9d8",
23 "global_account_id": "fcfc369c-ce9d-4ab7-b9af-80df61848f8f",
24 "type": "AU_BECS_DEBIT"
25 },
26 "statement_ref": "5487287788",
27 "status": "SETTLED",
28 "type": "BANK_TRANSFER"
29 }
30 ]
31}
Was this section helpful?

Get a deposit by ID

GET /api/v1/deposits/{id}

Retrieves details of a deposit using the given deposit unique identifier.

Parameters
idrequiredstring

The unique identifier of the Deposit to retrieve

Response body - 200 OK
amountnumber

The amount of this deposit

created_atstring

The date time in ISO8601 format when this deposit was created

currencystring

The currency (3-letter ISO-4217 code) of this deposit

deposit_idstring

A unique identifier of this deposit

estimated_settlement_timestring

Estimated settlement time of this deposit. With ISO8601 format

failure_detailsobject

Empty unless the deposit is in a failure status (REJECTED, REVERSED).

failure_details.codestring

Error code (details can be found here ).

failure_details.iso_codestring

Error code ISO 20022 (details can be found here ).

failure_details.provider_failure_detailsobject

A set of original information received from the local clearing system.

failure_details.provider_failure_details.codestring

The original error code received from the local clearing system.

failure_details.provider_failure_details.local_clearing_systemstring

The local clearing system used for the direct debit deposit. Possible values are AU_BECS, US_ACH, GB_BACS, EU_SEPA.

failure_details.provider_failure_details.messagestring

The original error message received from the local clearing system.

payer_namestring

Payer name of this deposit

settled_atstring

Actual settlement time of this deposit. With ISO8601 format

sourceobject

Details about the source of your funds

source.funding_source_idstring

The Funding Source unique identifier of this direct debit deposit. This is the same as your Linked Account unique identifier

source.global_account_idstring

The global account unique identifier of this bank transfer deposit. Nullable for deposits via DBS_HK GA

source.typestring

The type of the deposit source

AU_BECS_DEBIT, US_ACH_DEBIT, GB_BACS_DEBIT, EU_SEPA_DEBIT, CA_EFT_DEBIT, HK_FPS_DEBIT, SG_EGIRO_DEBIT, GA, SA

statement_refstring

A reference number assigned by the processing bank to identify and track a deposit transaction. It is not a unique identifier or a reference provided by the payer.

statusstring

Status of this deposit

PENDING, SETTLED, REJECTED, REVERSED

typestring

Type of the source of your funds

BANK_TRANSFER, DIRECT_DEBIT

Errors
Error statusDescription
400

Possible errors: field_required, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

GET /api/v1/deposits/{id}
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/deposits/deposit_id' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "amount": 12794.27,
3 "created_at": "2017-03-20T14:00:01+1100",
4 "currency": "USD",
5 "deposit_id": "67f687fe-dcf4-4462-92fa-20335301d9d8",
6 "estimated_settlement_time": "2017-03-22T14:00:00+0000",
7 "failure_details": {
8 "code": "insufficient_funds",
9 "iso_code": "AM04",
10 "provider_failure_details": {
11 "code": "R01",
12 "local_clearing_system": "US_ACH",
13 "message": "INSUFFICIENT FUNDS"
14 }
15 },
16 "payer_name": "tester",
17 "settled_at": "2017-03-22T14:00:00+0000",
18 "source": {
19 "funding_source_id": "67f687fe-dcf4-4462-92fa-20335321d9d8",
20 "global_account_id": "fcfc369c-ce9d-4ab7-b9af-80df61848f8f",
21 "type": "AU_BECS_DEBIT"
22 },
23 "statement_ref": "5487287788",
24 "status": "SETTLED",
25 "type": "BANK_TRANSFER"
26}
Was this section helpful?

Create a deposit via direct debit

POST /api/v1/deposits/create

Deposits funds into your Airwallex account via Direct Debit from a Linked Account.

Request body
amountrequirednumber

The amount of this deposit

currencyrequiredstring

The currency (3-letter ISO-4217 code) of this deposit

funding_source_idrequiredstring

The unique identifier of your Linked Account or Funding Source

request_idrequiredstring

Unique request identifier specified in the request. Should be valid UUID

deposit_typestring

The type of deposit you would like to create, either DIRECT_DEBIT or FASTER_DIRECT_DEBIT. If not specified, it will default to DIRECT_DEBIT.

referencestring

A user specified reference that will be displayed to the bank account owner on the bank statement. 1-10 characters long for USD, 1-18 characters long for AUD

Response body - 201 Created
amountnumber

The amount of this deposit

created_atstring

The date time in ISO8601 format when this deposit was created

currencystring

The currency (3-letter ISO-4217 code) of this deposit

deposit_idstring

A unique identifier of this deposit

estimated_settlement_timestring

Estimated settlement time of this deposit. With ISO8601 format

failure_detailsobject

Empty unless the deposit is in a failure status (REJECTED, REVERSED).

failure_details.codestring

Error code (details can be found here ).

failure_details.iso_codestring

Error code ISO 20022 (details can be found here ).

failure_details.provider_failure_detailsobject

A set of original information received from the local clearing system.

failure_details.provider_failure_details.codestring

The original error code received from the local clearing system.

failure_details.provider_failure_details.local_clearing_systemstring

The local clearing system used for the direct debit deposit. Possible values are AU_BECS, US_ACH, GB_BACS, EU_SEPA.

failure_details.provider_failure_details.messagestring

The original error message received from the local clearing system.

payer_namestring

Payer name of this deposit

settled_atstring

Actual settlement time of this deposit. With ISO8601 format

sourceobject

Details about the source of your funds

source.funding_source_idstring

The Funding Source unique identifier of this direct debit deposit. This is the same as your Linked Account unique identifier

source.global_account_idstring

The global account unique identifier of this bank transfer deposit. Nullable for deposits via DBS_HK GA

source.typestring

The type of the deposit source

AU_BECS_DEBIT, US_ACH_DEBIT, GB_BACS_DEBIT, EU_SEPA_DEBIT, CA_EFT_DEBIT, HK_FPS_DEBIT, SG_EGIRO_DEBIT, GA, SA

statement_refstring

A reference number assigned by the processing bank to identify and track a deposit transaction. It is not a unique identifier or a reference provided by the payer.

statusstring

Status of this deposit

PENDING, SETTLED, REJECTED, REVERSED

typestring

Type of the source of your funds

BANK_TRANSFER, DIRECT_DEBIT

Errors
Error statusDescription
400

Possible errors: field_required, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

POST /api/v1/deposits/create
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/deposits/create' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "amount": 12794.27,
> "currency": "USD",
> "deposit_type": "DIRECT_DEBIT",
> "funding_source_id": "67f687fe-dcf4-4462-92fa-20335321d9d8",
> "reference": "test ref",
> "request_id": "c559d7fe-d911-4f3d-a937-7c24ba4b732a"
>}'
Response (201 Created)
1{
2 "amount": 12794.27,
3 "created_at": "2017-03-20T14:00:01+1100",
4 "currency": "USD",
5 "deposit_id": "67f687fe-dcf4-4462-92fa-20335301d9d8",
6 "estimated_settlement_time": "2017-03-22T14:00:00+0000",
7 "failure_details": {
8 "code": "insufficient_funds",
9 "iso_code": "AM04",
10 "provider_failure_details": {
11 "code": "R01",
12 "local_clearing_system": "US_ACH",
13 "message": "INSUFFICIENT FUNDS"
14 }
15 },
16 "payer_name": "tester",
17 "settled_at": "2017-03-22T14:00:00+0000",
18 "source": {
19 "funding_source_id": "67f687fe-dcf4-4462-92fa-20335321d9d8",
20 "global_account_id": "fcfc369c-ce9d-4ab7-b9af-80df61848f8f",
21 "type": "AU_BECS_DEBIT"
22 },
23 "statement_ref": "5487287788",
24 "status": "SETTLED",
25 "type": "BANK_TRANSFER"
26}
Was this section helpful?